from fastapi import APIRouter

from app.api.v1.endpoints import (auth, contact, health, projects, services,
                                 settings, team, uploads, users)

api_router = APIRouter()

api_router.include_router(health.router, prefix="/health", tags=["Health"])
api_router.include_router(auth.router, prefix="/auth", tags=["Authentication"])
api_router.include_router(users.router, prefix="/users", tags=["Users"])
api_router.include_router(services.router, prefix="/services", tags=["Services"])
api_router.include_router(projects.router, prefix="/projects", tags=["Projects"])
api_router.include_router(team.router, prefix="/team", tags=["Team"])
api_router.include_router(contact.router, prefix="/contact", tags=["Contact"])
api_router.include_router(settings.router, prefix="/settings", tags=["Settings"])
api_router.include_router(uploads.router, prefix="/uploads", tags=["Uploads"])