from sqlalchemy.orm import Session

from app.crud.base import CRUDBase
from app.models.contact import Contact
from app.schemas.contact import ContactCreate, ContactUpdate


class CRUDContact(CRUDBase[Contact, ContactCreate, ContactUpdate]):
    def mark_as_read(self, db: Session, *, id: int) -> Contact:
        db_obj = self.get(db, id=id)
        if db_obj:
            db_obj.is_read = True
            db.add(db_obj)
            db.commit()
            db.refresh(db_obj)
        return db_obj


contact = CRUDContact(Contact)