from datetime import datetime
from typing import Optional

from sqlalchemy import DateTime, Integer, String, Text
from sqlalchemy.orm import Mapped, mapped_column

from app.db.base_class import Base


class Settings(Base):
    id: Mapped[int] = mapped_column(Integer, primary_key=True, index=True)
    site_name: Mapped[str] = mapped_column(String(100), nullable=False)
    site_description: Mapped[Optional[str]] = mapped_column(Text)
    contact_email: Mapped[str] = mapped_column(String(100), nullable=False)
    contact_phone: Mapped[Optional[str]] = mapped_column(String(20))
    address: Mapped[Optional[str]] = mapped_column(Text)
    facebook: Mapped[Optional[str]] = mapped_column(String(255))
    twitter: Mapped[Optional[str]] = mapped_column(String(255))
    linkedin: Mapped[Optional[str]] = mapped_column(String(255))
    instagram: Mapped[Optional[str]] = mapped_column(String(255))
    logo_path: Mapped[Optional[str]] = mapped_column(String(255))
    favicon_path: Mapped[Optional[str]] = mapped_column(String(255))
    created_at: Mapped[datetime] = mapped_column(DateTime, default=datetime.utcnow)
    updated_at: Mapped[Optional[datetime]] = mapped_column(DateTime, 
                                                         default=datetime.utcnow, 
                                                         onupdate=datetime.utcnow)